<!--
  Generated template for the KonsumenDetailPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="primary">
    <ion-title>Detail Konsumen</ion-title>
    <ion-buttons right>
        <button class="batal-btn" ion-button (click)="batal()">
          Batal
        </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>


<ion-content>
  <div class="detail-konsumen">
    <ion-grid>
      <ion-row>
        <ion-col col-md-6>
          <div class="data-konsumen">
            <div class="image" (click)="switchData('Pemohon')">
              <img src="{{dataPemohon ? dataPemohon.konsumen.photo:''}}" />
            </div>
            <div class="info-konsumen" [ngClass]="type_data == 'Pemohon' ? 'active':'nonactive'" (click)="switchData('Pemohon')">
              <h5>Pemohon</h5>
              {{dataPemohon ? dataPemohon.konsumen.nama_lengkap:''}}
            </div>
          </div>
        </ion-col>
        <ion-col col-md-6>
          <div class="data-konsumen">
            <div class="image" (click)="switchData('Pendamping')">
              <img src="{{dataPemohon ? dataPemohon.konsumen.photo_pendamping:''}}" />
            </div>
            <div class="info-konsumen" [ngClass]="type_data == 'Pendamping' ? 'active':'nonactive'" (click)="switchData('Pendamping')">
              <h5>Pendamping</h5>
              {{dataPemohon ? dataPemohon.konsumen.nama_pendamping:''}}
            </div>
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>
    <div class="divider">Data Personal ({{type_data}})</div>
    <div class="detail-personal">
      <ion-list>
        <ion-item>
          <ion-icon name="card" item-start></ion-icon>
          <label>No. KTP</label>
          <span>{{dataPersonal ? dataPersonal.personal.no_ktp:''}}</span>
        </ion-item>
        <ion-item>
          <ion-icon name="contact" item-start></ion-icon>
          <label>Nama Lengkap</label>
          <span>{{dataPersonal ? dataPersonal.personal.nama_lengkap+' ('+dataPersonal.personal.nama_panggilan+')':''}}</span>
        </ion-item>
        <ion-item>
          <ion-icon name="calendar" item-start></ion-icon>
          <label>Tempat, Tanggal Lahir</label>
          <span>{{dataPersonal ? dataPersonal.personal.tempat_lahir+', '+dataPersonal.personal.tgl_lahir+' ('+getUmur(dataPersonal.personal.tgl_lahir)+' thn)':''}}</span>
        </ion-item>
        <ion-item>
          <ion-icon name="transgender" item-start></ion-icon>
          <label>Jenis Kelamin</label>
          <span>{{dataPersonal ? dataPersonal.personal.jenis_kelamin_id:''}}</span>
        </ion-item>
        <ion-item text-wrap>
          <ion-icon name="pin" item-start></ion-icon>
          <label>Alamat Lengkap</label>
          <span>{{dataPersonalAlamat}}</span>
          <button *ngIf="dataPersonal && dataPersonal.alamat[0].koordinat_lokasi ? dataPersonal.alamat[0].koordinat_lokasi:''" ion-button style="display: block" (click)="openMap(dataPersonal.alamat[0].koordinat_lokasi)">Buka di Map</button>
        </ion-item>
      </ion-list>
      <div class="divider">Kontak Personal</div>
      <ion-list>
        <ion-item>
          <ion-icon name="phone-portrait" item-start></ion-icon>
          <label>No. Telepon</label>
          <span>{{dataPersonal ? dataPersonal.personal.telepon_1:''}}</span>
        </ion-item>
        <ion-item>
          <ion-icon name="mail-open" item-start></ion-icon>
          <label>Email</label>
          <span>{{dataPersonal ? dataPersonal.personal.email_1:''}}</span>
        </ion-item>
      </ion-list>
    </div>
  </div>
</ion-content>

<div class="btn-groups" ion-fixed *ngIf="!comeFrom">
  <button class="btn btn-default" (click)="openDetail()">Detail {{type_data}}</button>
  <button class="btn btn-primary" (click)="selectKonsumen()">Pilih Konsumen</button>
</div>

<div class="btn-groups" ion-fixed *ngIf="comeFrom">
  <button class="btn btn-default" (click)="openDetail()">Simpan Prospek</button>
  <button class="btn btn-primary" (click)="selectKonsumen()">Tambah Pendamping</button>
</div>
